## setup material ##
material = new("_graphx/MaterialSolid", "matYellow")
material.setDiffuse(1.0, 1.0, 0.0, 1.0)
material.setAmbient(0.2, 0.2, 0.0, 1.0)

material = new("_graphx/MaterialSolid", "matOrange")
material.setDiffuse(1.0, 0.3, 0.0, 1.0)

material = new("_graphx/MaterialSolid", "matRed")
material.setDiffuse(1.0, 0.0, 0.0, 1.0)

material = new("_graphx/MaterialSolid", "matRedGlow")
material.setDiffuse(1.0, 0.0, 0.0, 1.0)
material.setEmission(0.5, 0.0, 0.0, 1.0)

material = new("_graphx/MaterialSolid", "matMagenta")
material.setDiffuse(1.0, 0.0, 0.75, 1.0)

material = new("_graphx/MaterialSolid", "matBlue")
material.setDiffuse(0.0, 0.0, 1.0, 1.0)
material.setAmbient(0.0, 0.0, 0.2, 1.0)

material = new("_graphx/MaterialSolid", "matLightBlue")
material.setDiffuse(0.0, 0.75, 1.0, 1.0)

material = new("_graphx/MaterialSolid", "matGreen")
material.setDiffuse(0.1, 0.6, 0.1, 1.0)
material.setAmbient(0.1, 0.3, 0.1, 1.0)

material = new("_graphx/MaterialSolid", "matWhite")
material.setDiffuse(0.8, 0.8, 0.8, 1.0)

material = new("_graphx/MaterialSolid", "matGrey")
material.setDiffuse(0.1, 0.1, 0.1, 1.0)

material = new("_graphx/MaterialSolid", "matDarkGrey")
material.setDiffuse(0.05, 0.05, 0.05, 1.0)

material = new("_graphx/MaterialSolid", "matBlack")
material.setDiffuse(0, 0, 0, 1.0)

## material for sky box ##
material = new("_graphx/MaterialTexture2D", "matFloor")
material.setDiffuse(0.8, 0.8, 0.8, 1.0)
material.setAmbient(0.8, 0.8, 0.8, 1.0)
material.setDiffuseTexture("texture/skyrender0006.jpg")

material = new("_graphx/MaterialTexture2D", "matSkyTop")
material.setDiffuse(0.8, 0.8, 0.8, 1.0)
material.setAmbient(0.8, 0.8, 0.8, 1.0)
material.setDiffuseTexture("texture/skyrender0003.jpg")

material = new("_graphx/MaterialTexture2D", "matSkyFront")
material.setDiffuse(0.8, 0.8, 0.8, 1.0)
material.setAmbient(0.8, 0.8, 0.8, 1.0)
material.setDiffuseTexture("texture/skyrender0005.jpg")

material = new("_graphx/MaterialTexture2D", "matSkyBack")
material.setDiffuse(0.8, 0.8, 0.8, 1.0)
material.setAmbient(0.8, 0.8, 0.8, 1.0)
material.setDiffuseTexture("texture/skyrender0002.jpg")

material = new("_graphx/MaterialTexture2D", "matSkyLeft")
material.setDiffuse(0.8, 0.8, 0.8, 1.0)
material.setAmbient(0.8, 0.8, 0.8, 1.0)
material.setDiffuseTexture("texture/skyrender0004.jpg")

material = new("_graphx/MaterialTexture2D", "matSkyRight")
material.setDiffuse(0.8, 0.8, 0.8, 1.0)
material.setAmbient(0.8, 0.8, 0.8, 1.0)
material.setDiffuseTexture("texture/skyrender0001.jpg")

=begin
material = new("_graphx/MaterialTexture2D", "matWheel")
material.setDiffuse(0.8, 0.8, 0.8, 1.0)
material.setDiffuseTexture("texture/wheel.jpg")
=end